NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.LinkedMirrorPartBuilder Class Reference

builder class of LinkedMirrorPartBuilder More...

Inheritance diagram for NXOpen.LinkedMirrorPartBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  MirrorCsysOption { MirrorXYAndDeriveZ, MirrorYZAndDeriveX, MirrorXZAndDeriveY }
 type of mirror of CSYS The first two axes are mirrored, and the third one is derived from the two mirrored axes using the right hand convention More...
 
enum  MirrorPartTypeOption { ExactMirror, NonExactMirrorKeepBrokenLinks, NonExactMirrorDeleteBrokenLinks }
 type of mirror part More...
 

Public Member Functions

unsafe string[] GetRefSetNames ()
 Gets the names of the reference sets that are selected for mirroring More...
 
unsafe void SetRefSetNames (string[] refSetNames)
 Sets the names of the reference sets that are selected for mirroring More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe
NXOpen.LinkedMirrorPartBuilder.MirrorCsysOption 
MirrorCsysMethod [get, set]
 Returns or sets the method specifying how to mirror coordinate systems More...
 
unsafe string MirrorPartName [get, set]
 Returns or sets the name of the new mirror part More...
 
unsafe
NXOpen.LinkedMirrorPartBuilder.MirrorPartTypeOption 
MirrorPartType [get, set]
 Returns or sets the type of mirror part which controls how the mirrored part responds to changes in source part More...
 
unsafe NXOpen.Plane MirrorPlane [get, set]
 Returns or sets the plane about which the entities are mirrored More...
 
unsafe NXOpen.Vector3d MirrorPlaneNormal [get, set]
 Returns or sets the normal of the mirror plane More...
 
unsafe NXOpen.Point3d MirrorPlaneOrigin [get, set]
 Returns or sets the origin of the mirror plane More...
 
unsafe bool MirrorPmiFlag [get, set]
 Returns or sets the option that determines if PMI entities will be mirrored More...
 
unsafe NXOpen.Part NewPart [get, set]
 Returns or sets the target mirrored part in which the mirrored geometries are created More...
 
unsafe NXOpen.Part ParentPart [get, set]
 Returns or sets the source part which is being mirrored More...
 

Detailed Description

builder class of LinkedMirrorPartBuilder

To create a new instance of this class, use NXOpen.PartCollection.CreateLinkedMirrorPartBuilder

Default values.

Property Value

MirrorCsysMethod

MirrorXYAndDeriveZ

Created in NX8.5.0

Member Enumeration Documentation

type of mirror of CSYS The first two axes are mirrored, and the third one is derived from the two mirrored axes using the right hand convention

Enumerator
MirrorXYAndDeriveZ 
MirrorYZAndDeriveX 
MirrorXZAndDeriveY 

type of mirror part

Enumerator
ExactMirror 
NonExactMirrorKeepBrokenLinks 
NonExactMirrorDeleteBrokenLinks 

Member Function Documentation

unsafe string [] NXOpen.LinkedMirrorPartBuilder.GetRefSetNames ( )

Gets the names of the reference sets that are selected for mirroring

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
An array of reference set names
unsafe void NXOpen.LinkedMirrorPartBuilder.SetRefSetNames ( string[]  refSetNames)

Sets the names of the reference sets that are selected for mirroring

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
refSetNames

Property Documentation

unsafe NXOpen.LinkedMirrorPartBuilder.MirrorCsysOption NXOpen.LinkedMirrorPartBuilder.MirrorCsysMethod
getset

Returns or sets the method specifying how to mirror coordinate systems

Created in NX8.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe string NXOpen.LinkedMirrorPartBuilder.MirrorPartName
getset

Returns or sets the name of the new mirror part

Created in NX8.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.LinkedMirrorPartBuilder.MirrorPartTypeOption NXOpen.LinkedMirrorPartBuilder.MirrorPartType
getset

Returns or sets the type of mirror part which controls how the mirrored part responds to changes in source part

Created in NX8.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Plane NXOpen.LinkedMirrorPartBuilder.MirrorPlane
getset

Returns or sets the plane about which the entities are mirrored

Created in NX8.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Vector3d NXOpen.LinkedMirrorPartBuilder.MirrorPlaneNormal
getset

Returns or sets the normal of the mirror plane

Created in NX8.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point3d NXOpen.LinkedMirrorPartBuilder.MirrorPlaneOrigin
getset

Returns or sets the origin of the mirror plane

Created in NX8.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.LinkedMirrorPartBuilder.MirrorPmiFlag
getset

Returns or sets the option that determines if PMI entities will be mirrored

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Part NXOpen.LinkedMirrorPartBuilder.NewPart
getset

Returns or sets the target mirrored part in which the mirrored geometries are created

Created in NX8.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Part NXOpen.LinkedMirrorPartBuilder.ParentPart
getset

Returns or sets the source part which is being mirrored

Created in NX8.5.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.